spi_w8r16
Prev | Chapter 26. Serial Peripheral Interface (SPI) | Next

## Name

spi_w8r16 — SPI synchronous 8 bit write followed by 16 bit read

## Synopsis

`ssize_t spi_w8r16 (` | struct spi_device * | spi,
| u8 | cmd`)`;

## Arguments

`spi`

  device with which data will be exchanged

`cmd`

  command to be written before data is read back

## Context

can sleep

## Description

This returns the (unsigned) sixteen bit number returned by the device, or else a negative error code. Callable only from contexts that can sleep.

The number is returned in wire-order, which is at least sometimes big-endian.

Prev | Up | Next
spi_w8r8 | Home | struct spi_board_info